attribute vec2 attrib0;
attribute vec2 attrib1;
attribute float attrib2;
attribute float attrib3;
attribute float attrib4;
attribute float attrib5;
varying float vAlpha;

uniform float uData;
uniform mat4 uMVMatrix;

varying vec2 vTexCoord;

void main() {
    float k = uData * attrib3 + attrib2;
    float y = attrib0.y + fract(k) * attrib4 - attrib4 / 2.0;
    gl_Position = uMVMatrix * vec4(attrib0.x, y, 1, 1);
    vTexCoord = attrib1;
    vAlpha = attrib5;
}

[FS]
precision mediump float;

varying vec2 vTexCoord;

uniform sampler2D tex0;
uniform float uAlpha;
varying float vAlpha;

#if __VERSION__ >= 300
    layout(location = 0) out vec4 fragData_0;
#endif

void main() {
    gl_FragColor = texture(tex0, vTexCoord) * vec4(vec3(1, 1, 1), uAlpha * vAlpha);
}