attribute vec4 attrib0;
varying vec2 vTex;
uniform mat4 uMVMatrix;

void main(void) {
      vTex = attrib0.zw;
      gl_Position = uMVMatrix * vec4(attrib0.xy-vec2(0.3,0), 1, 1);
}

[FS]
precision mediump float;
varying vec2 vTex;
uniform sampler2D tex0;
uniform vec4 uColor;

#if __VERSION__ >= 300
    layout(location = 0) out vec4 fragData_0;
#endif

void main(void) {
    vec4 Color = texture(tex0, vec2( vTex.x, 0 ));
    float Opacity = vTex.y * Color.a * uColor.a;
    gl_FragColor = vec4( Color.rgb * Opacity + uColor.rgb * (1.0-Opacity), 1.0 );
}