precision mediump float;
attribute vec4 attrib0;

uniform mat4 uMVMatrix;
varying vec2 uv;

void main() {
    gl_Position = uMVMatrix * vec4(attrib0.xy, 1.0, 1.0);
    uv = attrib0.zw;
}

[FS]
precision mediump float;
uniform sampler2D tex0;
uniform vec4 col[2];
varying vec2 uv;

#if __VERSION__ >= 300
    layout(location = 0) out vec4 fragData_0;
#endif

void main() {
    vec4 c = texture(tex0, uv);
    gl_FragColor = c * col[0] + col[1] * vec4(c.www,1.0);
}