attribute vec2 attrib0;
uniform mat4 uMVMatrix;

void main(void) {
      gl_Position = uMVMatrix * vec4(attrib0, 1.0, 1.0);
}

[FS]
precision mediump float;
uniform vec4 uData;
uniform vec4 uFactors;
uniform vec4 uColor;

#if __VERSION__ >= 300
    layout(location = 0) out vec4 fragData_0;
#endif

void main(void) {
#ifdef INVERSE
    float ty = 1.0 - (uData.y - gl_FragCoord.y) / uData.z;
#else
    float ty = (uData.y - gl_FragCoord.y) / uData.z;
#endif

//-0.74 * x^2 + 1.8 * x
//Default factors: (0.66 + 0.34 * (-0.8 * ty * ty + 1.8 * ty));
    float alpha = 1.0 - (uFactors.x + uFactors.y * (-uFactors.z * ty * ty + uFactors.w * ty));
    gl_FragColor = vec4(uColor.rgb, alpha);
}