attribute vec2 attrib0;
attribute vec4 attrib1;
attribute float attrib2;
uniform float uRoomCount;
uniform float uMaxLitRoomIndex;
uniform float uRoomIndexOffset;
uniform vec4 uCtMultiply;
uniform vec4 uCtAdd;
uniform mat4 uMVMatrix;
varying vec4 vColor;

void main(void) {
    float index = mod(attrib2 + uRoomIndexOffset, uRoomCount);
    if (index <= uMaxLitRoomIndex) {
        vColor = attrib1 * uCtMultiply + uCtAdd;
        //.discard triangle from rendering by setting "w" coordinate to 0
        // w = (index <= uMaxLitRoomIndex) ? 1.0 : 0.0;",
        gl_Position = uMVMatrix * vec4(attrib0.xy, 1.0, 1.0);
    } else {
        gl_Position = uMVMatrix * vec4(attrib0.xy, 1.0, 0.0);
    }
}

[FS]
precision mediump float;
varying vec4 vColor;

#if __VERSION__ >= 300
    layout(location = 0) out vec4 fragData_0;
#endif

void main(void) {
    gl_FragColor = vColor;
}