attribute vec2 attrib0;
uniform mat4 uMVMatrix;

void main(void) {
    gl_Position = uMVMatrix * vec4(attrib0, 1.0, 1.0);
}

[FS]
precision mediump float;
uniform vec4 uData;
uniform vec4 uColor;

#if __VERSION__ >= 300
    layout(location = 0) out vec4 fragData_0;
#endif

void main(void) {
    #if DIRECTION == 4 //DOWN
        float t = (uData.y - gl_FragCoord.y) / uData.z;
    #elif DIRECTION == 3 //UP
        float t = 1.0 - (uData.y - gl_FragCoord.y) / uData.z;
    #endif

//        -0.74 * x^2 + 1.8 * x
    float alpha = 1.0 - (0.66 + 0.34 * (-0.8 * t * t + 1.8 * t));
    gl_FragColor = vec4(uColor.rgb, alpha);
}