attribute vec2 attrib0;
attribute vec2 attrib1;
attribute vec3 attrib2;

uniform mat4 uMVMatrix;
uniform float uConstant;

varying vec2 vTexCoord;

void main(void) {
    float x = uConstant * attrib2.y + attrib2.x;
    float y = attrib0.y + (x - floor(x)) * attrib2.z - attrib2.z / 2.0;
    gl_Position = uMVMatrix * vec4(attrib0.x, y, 1.0, 1.0);
    vTexCoord = attrib1;
}

[FS]
precision mediump float;
varying vec2 vTexCoord;
uniform sampler2D tex0;
uniform vec4 uColor;

#if __VERSION__ >= 300
    layout(location = 0) out vec4 fragData_0;
#endif

void main(void) {
    gl_FragColor = texture(tex0, vTexCoord) * uColor;
}